<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/search_activity"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/activity_bg"
    tools:context="com.key.simplekeyboard.activity.SearchActivity">

    <ImageView
        android:id="@+id/search_back"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginStart="12dp"
        android:background="@drawable/icon_back"
        app:layout_constraintBottom_toBottomOf="@id/cancel"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/cancel" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_marginTop="6dp"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="12dp"
        android:background="@drawable/search_edit"
        android:paddingStart="12dp"
        android:paddingEnd="12dp"
        android:paddingTop="8dp"
        android:paddingBottom="8dp"
        app:layout_constraintBottom_toBottomOf="@id/cancel"
        app:layout_constraintStart_toEndOf="@id/search_back"
        app:layout_constraintEnd_toStartOf="@id/cancel"
        app:layout_constraintTop_toTopOf="@id/cancel">
        <ImageView
            android:id="@+id/min_search"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:src="@drawable/icon_sh_search"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"/>
        <EditText
            app:layout_constraintStart_toEndOf="@id/min_search"
            android:id="@+id/edit_search"
            android:layout_width="0dp"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginStart="8dp"
            android:background="@android:color/transparent"
            android:lines="1"
            android:maxLines="1"
            android:hint="@string/search_hint_text"
            android:textColorHint="@color/search_hint_text_color"
            android:textColor="@color/search_text_color"
            android:textSize="12sp" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/cancel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="17dp"
        android:layout_marginEnd="12dp"
        android:text="@string/search"
        android:textColor="@color/search_text_color"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:layout_marginTop="20dp"
        android:id="@+id/searc_rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cancel" />

    <TextView
        android:layout_marginTop="20dp"
        android:id="@+id/faile"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/search_text_color"
        android:textSize="25sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cancel" />
</androidx.constraintlayout.widget.ConstraintLayout>